import { newSpecPage } from '@stencil/core/testing';
import { <%= className %> } from './<%= componentCategory %>-<%= componentName %>';

describe('<%= componentCategory %>-<%= componentName %>', () => {
  it('renders', async () => {
    const {root} = await newSpecPage({
      components: [<%= className %>],
      html: '<<%= componentCategory %>-<%= componentName %>></<%= componentCategory %>-<%= componentName %>>'
    });
    expect(root).toEqualHtml(`
      <<%= componentCategory %>-<%= componentName %>>
        <mock:shadow-root>
          <div>
            Hello, World! I'm
          </div>
        </mock:shadow-root>
      </<%= componentCategory %>-<%= componentName %>>
    `);
  });

  it('renders with values', async () => {
    const {root} = await newSpecPage({
      components: [<%= className %>],
      html: `<<%= componentCategory %>-<%= componentName %> first="Stencil" last="'Don't call me a framework' JS"></<%= componentCategory %>-<%= componentName %>>`
    });
    expect(root).toEqualHtml(`
      <<%= componentCategory %>-<%= componentName %> first="Stencil" last="'Don't call me a framework' JS">
        <mock:shadow-root>
          <div>
            Hello, World! I'm Stencil 'Don't call me a framework' JS
          </div>
        </mock:shadow-root>
      </<%= componentCategory %>-<%= componentName %>>
    `);
  });
});
